Debian Bug report logs - #365241
libmodule-build-perl: Upstream version 0.28 has been released

version graph

Package: libmodule-build-perl; Maintainer for libmodule-build-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libmodule-build-perl is src:libmodule-build-perl.

Reported by: Julian Mehnle <julian@mehnle.net>

Date: Fri, 28 Apr 2006 17:48:05 UTC

Severity: important

Tags: patch

Merged with 353728

Found in version libmodule-build-perl/0.26-1

Fixed in version libmodule-build-perl/0.2808-0.1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Julian Mehnle <julian@mehnle.net>:
New Bug report received and forwarded. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Mehnle <julian@mehnle.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmodule-build-perl: Upstream version 0.28 has been released
Date: Fri, 28 Apr 2006 17:35:51 +0000
Package: libmodule-build-perl
Severity: normal

Upstream has released version 0.28 of Module::Build:

  http://sourceforge.net/mailarchive/forum.php?thread_id=10266387&forum_id=10905
  http://search.cpan.org/dist/Module-Build

It fixes many bugs of 0.26 and brings many new useful features.  Please
package it!

Julian.



Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Julian Mehnle <julian@mehnle.net>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #10 received at 365241@bugs.debian.org (full text, mbox):

From: Julian Mehnle <julian@mehnle.net>
To: 365241@bugs.debian.org
Subject: libmodule-build-perl: Upstream version 0.2801 has been released
Date: Sat, 8 Jul 2006 10:12:59 +0000
[Message part 1 (text/plain, inline)]
Julian Mehnle wrote:
> Upstream has released version 0.28 of Module::Build:
> [...]
> It fixes many bugs of 0.26 and brings many new useful features.  Please
> package it!

By now, 0.2801 has been released:

  http://search.cpan.org/dist/Module-Build-0.2801/

Please package it.  0.2600 from Debian is grossly outdated. :-(

[Message part 2 (application/pgp-signature, inline)]

Severity set to `important' from `normal' Request was from Micah Anderson <micah@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2007 19:21:03 GMT) Full text and rfc822 format available.

Merged 353728 365241. Request was from Micah Anderson <micah@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2007 19:21:22 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Julian Mehnle <julian@mehnle.net> to control@bugs.debian.org. (Sun, 20 May 2007 21:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Julian Mehnle <julian@mehnle.net>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #21 received at 365241@bugs.debian.org (full text, mbox):

From: Julian Mehnle <julian@mehnle.net>
To: 365241@bugs.debian.org
Subject: Re: libmodule-build-perl: Upstream version 0.28 has been released
Date: Sun, 20 May 2007 21:55:34 +0000
[Message part 1 (text/plain, inline)]
Julian Mehnle wrote:
> Upstream has released version 0.28 of Module::Build:
> [...]
> It fixes many bugs of 0.26 and brings many new useful features.  Please
> package it!

We're now at 0.2808.

I updated the Debian package:

  http://files.mehnle.net/software/debian/libmodule-build-perl/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to charles-debian-nospam@plessy.org:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #26 received at 365241@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: debian-perl@lists.debian.org
Cc: 365241@bugs.debian.org
Subject: Please NMU libmodule-build-perl.
Date: Wed, 13 Jun 2007 20:49:04 +0900
Dear Perl team,

Some CRAN packages, such as BioPerl 1.5.2, now build-depend on a version
of libmodule-build-perl which is not available in Debian. The current
maintainer is not active on this pacakge, and somebody has prepaed an
upgrade. Could a DD NMU libmodule-build-perl ?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365241
http://files.mehnle.net/software/debian/libmodule-build-perl/
http://packages.qa.debian.org/libm/libmodule-build-perl.html

Many thanks !

-- 
Charles Plessy
Please CC me, I am not subscribed.



Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #31 received at 365241@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: charles-debian-nospam@plessy.org, 365241@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#365241: Please NMU libmodule-build-perl.
Date: Wed, 13 Jun 2007 08:06:39 -0400
Hey there, I can get a build of it into unstable today or tomorrow, when
my key is on a new build machine.

Sorry for the delay.

-Jay


On Wed, 2007-06-13 at 20:49 +0900, Charles Plessy wrote:
> Dear Perl team,
> 
> Some CRAN packages, such as BioPerl 1.5.2, now build-depend on a version
> of libmodule-build-perl which is not available in Debian. The current
> maintainer is not active on this pacakge, and somebody has prepaed an
> upgrade. Could a DD NMU libmodule-build-perl ?
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365241
> http://files.mehnle.net/software/debian/libmodule-build-perl/
> http://packages.qa.debian.org/libm/libmodule-build-perl.html
> 
> Many thanks !
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #36 received at 365241@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Jay Bonci <jay@bonci.com>
Cc: charles-debian-nospam@plessy.org, 365241@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#365241: Please NMU libmodule-build-perl.
Date: Wed, 13 Jun 2007 15:42:41 +0200
On Wed, 13 Jun 2007 08:06:39 -0400, Jay Bonci wrote:

> Hey there, I can get a build of it into unstable today or tomorrow, when
> my key is on a new build machine.

BTW: How's about your plans of joing the Debian Perl Group with your
packages? IIRC you were interested some weeks ago but I don't know if
anything has happend in the meantime.
 
Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    Kirk to Enterprise -- beam down yeoman Rand and a six-pack. 



Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #41 received at 365241@bugs.debian.org (full text, mbox):

From: Steffen Moeller <steffen_moeller@gmx.de>
To: Debian Bug Tracking System <365241@bugs.debian.org>
Subject: libmodule-build-perl: Version >0.2805 needed for BioPerl
Date: Tue, 11 Sep 2007 19:03:58 +0200
Package: libmodule-build-perl
Followup-For: Bug #365241

Hello, as newer version of your libmodule-build-perl is required to compile the BioPerl
1.5.2 sources. I'd prepare to help with maintenance if this is an issue. The previous 
request asking for a newer version is apparently a year old already.
Time is floating. If you do not have the time for the moment but would
prefer me to NMU this quickly then this would be fine, too.

Kind regards

Steffen




Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #46 received at 365241@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Jay Bonci <jaybonci@debian.org>
Cc: 393764@bugs.debian.org, debian-perl@lists.debian.org, 365241@bugs.debian.org
Subject: Re: Please give libmodule-scandeps-perl to Debian Perl Group
Date: Tue, 18 Sep 2007 19:58:28 +0200
[Message part 1 (text/plain, inline)]
On Tue, 18 Sep 2007 17:46:55 +0200, Krzysztof Krzy??aniak wrote:

> I've taken libmodule-scandeps-perl for Debian Catalyst Maintainers (where 
> Florian is maintainer as well). It's ready for upload but it waits for 
> libmodule-build-perl (>= 0.28) and in debian we still have 0.26-1 version.

Which is out for 1,5 years now -- cf. #365241

Jay?
The Debian Perl Group still invites you and your packages :)


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: U2: Zooropa
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Krzyżaniak <eloy@kofeina.net>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #51 received at 365241@bugs.debian.org (full text, mbox):

From: Krzysztof Krzyżaniak <eloy@kofeina.net>
To: Jay Bonci <jaybonci@debian.org>, 393764@bugs.debian.org, debian-perl@lists.debian.org, 365241@bugs.debian.org
Subject: Re: Please give libmodule-scandeps-perl to Debian Perl Group
Date: Mon, 01 Oct 2007 14:31:19 +0200
gregor herrmann wrote:
> On Tue, 18 Sep 2007 17:46:55 +0200, Krzysztof Krzy??aniak wrote:
> 
>> I've taken libmodule-scandeps-perl for Debian Catalyst Maintainers (where 
>> Florian is maintainer as well). It's ready for upload but it waits for 
>> libmodule-build-perl (>= 0.28) and in debian we still have 0.26-1 version.
> 
> Which is out for 1,5 years now -- cf. #365241
> 
> Jay?
> The Debian Perl Group still invites you and your packages :)

I'll do NMU in next week.

  eloy
-- 
-------e-l-o-y----------------------------e-l-o-y-@-k-o-f-e-i-n-a-.-n-e-t------

       jak to dobrze, że są oceany - bez nich byłoby jeszcze smutniej




Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #56 received at 365241@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Krzysztof Krzyżaniak <eloy@kofeina.net>
Cc: Jay Bonci <jaybonci@debian.org>, 393764@bugs.debian.org, debian-perl@lists.debian.org, 365241@bugs.debian.org
Subject: Re: Please give libmodule-scandeps-perl to Debian Perl Group
Date: Mon, 1 Oct 2007 16:19:04 +0300
[Message part 1 (text/plain, inline)]
On Mon, Oct 01, 2007 at 02:31:19PM +0200, Krzysztof Krzyżaniak wrote:
> gregor herrmann wrote:
>> On Tue, 18 Sep 2007 17:46:55 +0200, Krzysztof Krzy??aniak wrote:
>>> I've taken libmodule-scandeps-perl for Debian Catalyst Maintainers (where 
>>> Florian is maintainer as well). It's ready for upload but it waits for 
>>> libmodule-build-perl (>= 0.28) and in debian we still have 0.26-1 
>>> version.
>> Which is out for 1,5 years now -- cf. #365241
>> Jay?
>> The Debian Perl Group still invites you and your packages :)
>
> I'll do NMU in next week.

If you mean libmodule-build-perl, I uploaded that to DELAYED/7-days
today :) See http://bugs.debian.org/441987
-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#365241; Package libmodule-build-perl. Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Krzyżaniak <eloy@kofeina.net>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #61 received at 365241@bugs.debian.org (full text, mbox):

From: Krzysztof Krzyżaniak <eloy@kofeina.net>
To: Damyan Ivanov <dam@modsoftsys.com>
Cc: Jay Bonci <jaybonci@debian.org>, 393764@bugs.debian.org, debian-perl@lists.debian.org, 365241@bugs.debian.org
Subject: Re: Please give libmodule-scandeps-perl to Debian Perl Group
Date: Mon, 01 Oct 2007 15:27:20 +0200
Damyan Ivanov wrote:
> On Mon, Oct 01, 2007 at 02:31:19PM +0200, Krzysztof Krzyżaniak wrote:
>> gregor herrmann wrote:
>>> On Tue, 18 Sep 2007 17:46:55 +0200, Krzysztof Krzy??aniak wrote:
>>>> I've taken libmodule-scandeps-perl for Debian Catalyst Maintainers (where 
>>>> Florian is maintainer as well). It's ready for upload but it waits for 
>>>> libmodule-build-perl (>= 0.28) and in debian we still have 0.26-1 
>>>> version.
>>> Which is out for 1,5 years now -- cf. #365241
>>> Jay?
>>> The Debian Perl Group still invites you and your packages :)
>> I'll do NMU in next week.
> 
> If you mean libmodule-build-perl, I uploaded that to DELAYED/7-days
> today :) See http://bugs.debian.org/441987

Yep, thank you.

  eloy
-- 
-------e-l-o-y----------------------------e-l-o-y-@-k-o-f-e-i-n-a-.-n-e-t------

       jak to dobrze, że są oceany - bez nich byłoby jeszcze smutniej




Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julian Mehnle <julian@mehnle.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 365241-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 365241-close@bugs.debian.org
Subject: Bug#365241: fixed in libmodule-build-perl 0.2808-0.1
Date: Sun, 07 Oct 2007 20:47:16 +0000
Source: libmodule-build-perl
Source-Version: 0.2808-0.1

We believe that the bug you reported is fixed in the latest version of
libmodule-build-perl, which is due to be installed in the Debian FTP archive:

libmodule-build-perl_0.2808-0.1.diff.gz
  to pool/main/libm/libmodule-build-perl/libmodule-build-perl_0.2808-0.1.diff.gz
libmodule-build-perl_0.2808-0.1.dsc
  to pool/main/libm/libmodule-build-perl/libmodule-build-perl_0.2808-0.1.dsc
libmodule-build-perl_0.2808-0.1_all.deb
  to pool/main/libm/libmodule-build-perl/libmodule-build-perl_0.2808-0.1_all.deb
libmodule-build-perl_0.2808.orig.tar.gz
  to pool/main/libm/libmodule-build-perl/libmodule-build-perl_0.2808.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365241@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libmodule-build-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 01 Oct 2007 10:02:16 +0300
Source: libmodule-build-perl
Binary: libmodule-build-perl
Architecture: source all
Version: 0.2808-0.1
Distribution: unstable
Urgency: low
Maintainer: Jay Bonci <jaybonci@debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libmodule-build-perl - Subclassable and make-independant perl module builder alternative
Closes: 365241 441987
Changes: 
 libmodule-build-perl (0.2808-0.1) unstable; urgency=low
 .
   * Non-maintainer upload for the Debian Perl Group
 .
   * New upstream release (Closes: #365241)
   * Moved debhelper from Build-Depends-Indep to Build-Depends and bumped
     compatibility level to 5
   * Apply patch by Steffen Moeller <steffen_moeller@gmx.de> so that modules
     which use Module::Build install man pages using correct section.
     Closes: #441987
   * Build.PL: set create_packlist to 0 to avoid installing .packlist
   * Standards-Version: 3.7.2.2 (no changes needed)
   * Fix upstream URL in debian/copyright
Files: 
 fcfdc96a28ea008f057e0e1dfd75b41e 824 perl optional libmodule-build-perl_0.2808-0.1.dsc
 b8e457b1a4b72c46bcec3d9bce87329b 196525 perl optional libmodule-build-perl_0.2808.orig.tar.gz
 36d534ce769ad16c3bfe3aaa5d12f30b 2795 perl optional libmodule-build-perl_0.2808-0.1.diff.gz
 07dd368981bc0317fb5ba783d1f62479 234386 perl optional libmodule-build-perl_0.2808-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHAJwHHqjlqpcl9jsRAoytAKCux9ca3CyQ9+yNOXH5Wnobesys+QCfRE6M
/SxI08+2CtOMPFLEunrkNz8=
=GIT3
-----END PGP SIGNATURE-----





Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Larry Gilbert <8d0a1uo02@sneakemail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Nov 2007 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:35:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.